/*
 * This is the main kernel entry point
*/
#include "asm.h"
#include "system.h"
#include "gdt.h"
#include "tss.h"
#include "idt.h"
#include "paging.h"
#include "video.h"

void k_main(void)
{
	k_install_gdt();	// Setup our GDT and load GDTR
	k_install_tss();	// Setup our TSS and load TR
	k_install_idt();	// Install our IDT

	k_print_test();

	for(;;);		// Infinite loop
}

