ENTRY( kernel_start )

OUTPUT_FORMAT( binary )

SECTIONS
{
        . = 0x0;
       
        .start 0x0: AT(0x0)
        {
                *(.start)

                . = ALIGN( 4096 );
        }

        .text 0x80000000 + SIZEOF( .start ) : AT( ADDR( .start ) + SIZEOF( .start ) )
        {
                *(.text)
		*(.rodata*)
                . = ALIGN( 4096 );

        }
       
        .data ADDR( .text ) + SIZEOF( .text ) : AT( LOADADDR( .text ) + SIZEOF( .text ) )
        {
                *(.data)

        }
       
        . = ALIGN( 4096 );
       
        .bss ALIGN( ADDR( .data ) + SIZEOF( .data ), 4096 ): AT( LOADADDR( .data ) + SIZEOF( .data ) )
        {
                *(.bss .bss.* .gnu.linkonce.b.*)
                *(COMMON)

        }
}
