// A GDT entry
struct GDT
{
	unsigned short limit_low;
	unsigned short base_low;
	unsigned char base_middle;
	unsigned char access;
	unsigned char granularity;
	unsigned char base_high;
} __attribute__((packed));

// GDTR structure 
struct GDT_PTR
{
	unsigned short limit;
	unsigned int base;
} __attribute__((packed));

void gdt_entry_set_values(unsigned long, unsigned long, unsigned char, unsigned char, struct GDT*);

void k_install_gdt(void);
