#include "asm.h"
#include "system.h"
#include "timer.h"

void k_timer_install(int hz)
{
	unsigned int divisor = 1193180/hz;
	
	outb(0x36, 0x43);
	outb(divisor&0xFF, 0x40);
	outb(divisor>>8, 0x40);
	outb(inb(0x21)&0xFE, 0x21);
}
